package com.brilliance.isc.mda.dao;

import com.brilliance.isc.esb.newmodel.tasks.Task;
import org.apache.ibatis.annotations.Mapper;
import java.util.Collection;
import java.util.Map;
import java.util.List;

@Mapper
public interface TaskMapper {

    int insert(Task record);

    int insertSelective(Task record);

    int updateByPrimaryKeySelective(Task record);

    int updateByPrimaryKey(Task record);

    int deleteByPrimaryKey(Task record);

    int deleteByIds(Collection<Object> collection);

    Task selectByPrimaryKey(Task record);

    int dyncDelete(Map<String,Object> dyncMap);

    List<Task> dyncRead(Map<String,Object> dyncMap);

    List<Task> selectByType(String tasktyp);

}